/*
** EPITECH PROJECT, 2018
** task01
** File description:
** I do task
*/
#include "lib/my_string.h"

size_t my_strlen(const char *s)
{
    ssize_t len;

    len = -1;
    while (s[++len] != '\0');
    return (len);
}

size_t my_strnlen(const char *s, size_t maxlen)
{
    ssize_t len;

    len = -1;
    while (++len < (ssize_t)maxlen && s[len] != '\0');
    return (len);
}
